local FC = ...

local m = FCconfig["main"]["balance mode"]

local function wEvent ()
	if FCconfig["main"]["enable welcome event"] == true then return "WELCOME_EVENT" end
end


FC:register({
	DataType = "BALANCING",
	Id = "FIERY_BALANCING",
	Name = m .. "_FIERY_BALANCING_NAME",
	DayDurationInSeconds = FCconfig["balancing"]["day duration"],
	InitialFamilyCount = FCconfig["balancing"]["starting families"],
	MinimumHappinessForLeaving = FCconfig["balancing"]["leave if happiness below"],
	BuildingCostOverrideList = {"BUILDING_PART_COST_LIST_DEFAULT","BUILDING_PART_COST_LIST_DEFAULT_CHURCH","BUILDING_PART_COST_LIST_DEFAULT_KEEP","BUILDING_PART_COST_LIST_DEFAULT_LORD_MANOR","BUILDING_PART_COST_LIST_DEFAULT_RUSTIC_CHURCH","FC_BUILDING_PART_COST_LIST"},
	BuildingProgressList = {"BUILDING_PROGRESS_LIST_DEFAULT","FC_BUILDING_PROGRESS_LIST"},
	VillagerStatusQuota = "VILLAGER_STATUS_QUOTA_DEFAULT", --FCconfig["balancing"]["VillagerStatusQuota"],
	TerritoryPrice = FCconfig["balancing"]["territory price"],
	TerritoryRoyalTaxesList = FCconfig["balancing"]["territory taxes"],
	StartingTileResourceRequirement = FCconfig["balancing"]["starting tile requirement"],
	TradingVillageList = "FC_TRADING_VILLAGE_LIST",
	DaysBetweenEvents = FCconfig["balancing"]["days between events"],
	DaysToFirstEvent = FCconfig["balancing"]["days to first event"],
	InitialGoldCapacity = FCconfig["balancing"]["gold capacity"],
	TreeGrowSpeed = FCconfig["balancing"]["tree grow speed"],
	TreeInitialScale = FCconfig["balancing"]["initial tree size"],
	TreeMinimumScaleToGather = FCconfig["balancing"]["minimum tree size to gather"],
	TreeMinimumScaleForHunt = FCconfig["balancing"]["minimum tree size to hunt"],
	TreeFertilityImpactHardRadius = FCconfig["balancing"]["fertility impact by tree hard radius"],
	TreeFertilityImpactSoftRadius = FCconfig["balancing"]["fertility impact by tree soft radius"],
	TreeFertilityImpact = FCconfig["balancing"]["fertility impact by tree"],
	DelayedQuestList={{QuestResource = "INFLUENCE_QUEST", Delay = 0}}, --FCconfig["balancing"]["DelayedQuestList"],
	EventList = {wEvent()}
})
